function OUT = Sump_Salidas(IN)

% Parametros
Ni	= 10;
Rs	= 2.75;
Rw	= 1;

% Entradas
QD		= IN(1);

H_mDi	= IN(2:Ni+1);
%'ss'
V		= IN(Ni+2);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

H	 = sum( H_mDi );	

mDi =  H_mDi / H;	

CD  = H / V;

MD	 = QD * CD;

WD	 = Rw * ( QD - MD / Rs );

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Salidas
OUT(1)		= WD;
OUT(2)		= MD;
OUT(3:Ni+2)	= mDi;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
