
To 		= 0.1;
tfinal	= 10;
t		 	= 0:To:tfinal;
len		= length(t);


%inicializacion
y			= zeros(len,1);
u			= 1*ones(len,1);
yr			= zeros(len,1);
yf			= zeros(len,1);


% Parametros proceso continuo
tau      = 1;
kp			= 1;

%Parametros proceso discreto
a			= exp(-To/tau);
b			= kp*(1-a);

% ruido (kr: ganancia)



%filtro
alpha 	= 0.6;



for k=2:len
   y(k)	 	= a*y(k-1)+b*u(k-1);
   kr			= 0.1*y(k); 
   r			= kr*(2*rand-1);
 
   yr(k)  	= y(k) + r;
   yf(k) 	= alpha*yf(k-1)+ (1-alpha)*yr(k);
   
end


plot (t,y,'g', t,yr,':r',t,yf,'b');



