function OUT = BallMill_Salidas( IN )
%global kb TRPb
%if length(TRPb)<1; TRPb=0.1667; end
% Parametros
Ni	= 10;
Rm	= 2.75;
Rw	= 1;

% Entradas
WF		= IN(1);
MF		= IN(2);
mFi	= IN(3:Ni+2);

H_mDi	= IN(Ni+3:2*Ni+2);

QD		= IN(2*Ni+3);	% m^3/hr

V		= IN(2*Ni+4);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

QF		= MF / Rm + WF / Rw;
H  = sum( H_mDi);

mDi	= H_mDi / H;

CD	= H / V;

MD	= QD * CD;

WD	= Rw * ( QD - MD / Rm );


%af=0.9;
%Ta = V/QF; 
%TRPb = af*TRPb + (1-af)*Ta;

%if TRPb>6;
%   TRPb=6;
%end

%kb=6/TRPb;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Salidas
OUT(1)		= WD;
OUT(2)		= MD;
OUT(3:Ni+2)	= mDi;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
