function OUT = Sump_Derivadas(IN)

% Parametros
Ni	= 10;
Rm	= 2.75;
Rw	= 1;

% Entradas
%'sd'
QD		= IN(1);
WF		= IN(2);
MF		= IN(3);
mFi	= IN(4:Ni+3);

H_mDi	= IN(Ni+4:2*Ni+3);
V		= IN(2*Ni+4);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

QF			= MF / Rm + WF / Rw;

H  		= sum( H_mDi );

mDi		= H_mDi / H;

CD			= H / V;

MD			= QD * CD;

dV			= QF - QD;

dH_mDi	= MF * mFi - MD * mDi;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Salidas
OUT(1:Ni)	= dH_mDi;
OUT(Ni+1)	= dV;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
