function [par,P]=rlse(y,yk1,phi,par,P,sigm)

%Calculo del error de prediccion
%---------------------------------- 
ykest=par'*phi+yk1;
er=y-ykest; 
 
%Factor de olvido variable
%---------------------------------
wk=phi'*P*phi;
nk=1-wk-er^2/sigm;
ff=(nk+sqrt(nk^2+4*wk))/2;
   
if ff<=0.95
	ff=0.95;
end

gama=ff+phi'*P*phi;

%Factor de correccion
%----------------------------
L=P*phi/gama;


%Actualizacion de los parametros
%----------------------------------
par  = par + L*er;   
                    
%Actualizacion de la matriz de covarianza
%------------------------------------------
P=(P-P*phi*phi'*P/gama)/ff;


